    import InstallerError from 'mongoose-data-seed/src/lib/core/installer-error.js'

public class | source

# InstallerError

#### Extends:

Error → InstallerError

Installer Error

## Constructor Summary

Public Constructor
public | constructor(options: Object) Creates an InstallerError. |

## Member Summary

Public Members
public | name: String Error name. |
public | payload: Object Custom payload object. |
public | type: String Error type (one of the Installer.operations). |

## Public Constructors

### public constructor(options: Object) source

Creates an InstallerError.

#### Params:

Name | Type | Attribute | Description
options | Object | optional default: {} | options
options.type | String | optional default: '' | The error type key (Installer.operations).
options.payload | Object | optional default: {} | A custom payload object.
options.error | Error | optional default: {} | Error object.

## Public Members

### public name: String source

Error name.

### public payload: Object source

Custom payload object.

### public type: String source

Error type (one of the Installer.operations).